View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021978LazarusLCLpublic2012-05-07 15:562012-06-16 14:18
ReporterMarkus Müller 
Assigned ToJuha Manninen 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionunable to reproduce 
PlatformOSOS Version
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0021978: On any exception the EXE is closing
DescriptionI have program with "Application.OnException" my self exception handler who logs all in a TListBox.
With Windows, it works good.

But in Linux, the EXE is always closing! On every small Exception. No chance to save the TDataset or other user inputs.

Please make this exception handling like the same as Windows.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Fileszip file icon TestAppException.zip [^] (2,643 bytes) 2012-05-07 16:34

- Relationships

-  Notes
(0059351)
Zeljan Rikalo (developer)
2012-05-07 15:58

Please attach example.
(0059354)
Markus Müller (reporter)
2012-05-07 16:38
edited on: 2012-05-07 16:40

I have test it with my Virtual Box Linux, but there work all right.

With my big EXE, it work right, too.

But some user have with my EXE a problem, see this thread:
http://www.mikrocontroller.net/topic/236472?goto=new#2662138 [^]
http://www.mikrocontroller.net/topic/236472?goto=new#2663536 [^]

I can not understand that :-(

Only, I can programing check for all without exception.

(0060196)
Juha Manninen (developer)
2012-06-03 00:36

The TestAppException works well on Linux with both GTK2 and QT bindings.
You cannot reproduce the problem even yourself, using the real customer product (?)
How do you expect Lazarus developers would reproduce it?

Do you test with an identical version with your customers? Same compiler options and all?

If there is no way to reproduce the problem, this issue will be resolved as "Unable to reproduce". It does not look like a Lazarus bug.

- Issue History
Date Modified Username Field Change
2012-05-07 15:56 Markus Müller New Issue
2012-05-07 15:56 Markus Müller Widgetset => GTK 2
2012-05-07 15:58 Zeljan Rikalo LazTarget => -
2012-05-07 15:58 Zeljan Rikalo Note Added: 0059351
2012-05-07 15:58 Zeljan Rikalo Status new => feedback
2012-05-07 16:34 Markus Müller File Added: TestAppException.zip
2012-05-07 16:38 Markus Müller Note Added: 0059354
2012-05-07 16:40 Markus Müller Note Edited: 0059354
2012-06-03 00:36 Juha Manninen Note Added: 0060196
2012-06-03 00:36 Juha Manninen Status feedback => assigned
2012-06-03 00:36 Juha Manninen Assigned To => Juha Manninen
2012-06-16 14:18 Juha Manninen Status assigned => resolved
2012-06-16 14:18 Juha Manninen Resolution open => unable to reproduce



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker